GNU bug report logs - #34321
reproducibility: absolute file name in newst-treeview.elc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Glenn Morris <rgm@HIDDEN>; Keywords: confirmed; merged with #34322; dated Mon, 4 Feb 2019 22:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34321 <at> debbugs.gnu.org:


Received: (at 34321) by debbugs.gnu.org; 11 Aug 2021 19:15:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 11 15:15:06 2021
Received: from localhost ([127.0.0.1]:36649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDtgv-0004Gm-Gh
	for submit <at> debbugs.gnu.org; Wed, 11 Aug 2021 15:15:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1mDtgs-0004Bu-TX; Wed, 11 Aug 2021 15:15:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lcAwv9mA/xk8yTQKhOdXeH9Ysmf5XC2VPSmP6/oNLeo=; b=qrQiOQtdrseHqu2+THLww+8Otj
 Mf2u6gX8gYTmPgWnjF/wj1ZA6CqimJ0oeFZtC75phUh+AWN9P63nrliOV4jEgNGVR+SFXDLAV15Au
 5io6G3NyCu4pXxX9y6uwNIv5rtVzjpYP1mCG9EmjjsobYhZIYFXG14aur1A+mcceC3dk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mDtge-0003OD-Jf; Wed, 11 Aug 2021 21:14:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#34321: reproducibility: absolute file name in
 newst-treeview.elc
References: <kfa7jbjh3p.fsf@HIDDEN> <87a7japq3k.fsf@HIDDEN>
 <83o97qtdif.fsf@HIDDEN> <jwv5ztyw68s.fsf-monnier+emacsbugs@HIDDEN>
 <87pns6uo1t.fsf@HIDDEN> <jwvftt2as7v.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 11 Aug 2021 21:14:47 +0200
In-Reply-To: <jwvftt2as7v.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 05 Feb 2019 15:41:44 -0500")
Message-ID: <87mtpnpzdk.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > But
 really, 
 this is actually a side-problem: the inlined bytecode is not > spliced the
 way it should, so the inlining optimization is basically > missing. Such
 a half-assed inlining gives you all th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34321
Cc: 34321 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, 34322 <at> debbugs.gnu.org,
 Michael Albinus <michael.albinus@HIDDEN>, rgm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> But really, this is actually a side-problem: the inlined bytecode is not
> spliced the way it should, so the inlining optimization is basically
> missing.  Such a half-assed inlining gives you all the downsides of
> inlining without its upsides.  Once we fix that, the reproducibility
> problem will also be fixed.

It's two years later, so I checked whether this problem is still present
on the trunk, and indeed:

(defalias 'tramp-lookup-syntax #[257 "..." [tramp-syntax #s(hash-table size 2 test eq rehash-size 1.5 rehash-threshold 0.8125 purecopy t data (ftp 6 sep 8)) default separate] 2 ("/home/larsi/src/emacs/trunk/lisp/net/tramp-compat.elc" . 7627)] error "Wrong `tramp-syntax' %s"] 4 (#$ . 29248)])

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34321; Package emacs. Full text available.
Merged 34321 34322. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34321 <at> debbugs.gnu.org:


Received: (at 34321) by debbugs.gnu.org; 5 Feb 2019 18:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 13:52:46 2019
Received: from localhost ([127.0.0.1]:33754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr5pu-0007PY-4G
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 13:52:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gr5pt-0007PM-2d
 for 34321 <at> debbugs.gnu.org; Tue, 05 Feb 2019 13:52:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47556)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gr5pl-0001jA-35; Tue, 05 Feb 2019 13:52:38 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gr5pk-0005Cb-Rf; Tue, 05 Feb 2019 13:52:36 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34321: reproducibility: absolute file name in
 newst-treeview.elc
References: <74ef8njh9u.fsf@HIDDEN> <83pns6tdn1.fsf@HIDDEN>
X-Spook: bemd Montenegro espionage chameleon man beanpole
X-Ran: h0_oB1d1jrn?M.a!Z2@jgo:V|#YclA&zO*X\^~r2;Pv>8r#;augw&,AmdzEQF;l0wvU(zg
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 05 Feb 2019 13:52:36 -0500
In-Reply-To: <83pns6tdn1.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 05 Feb
 2019 18:15:46 +0200")
Message-ID: <numunagj9n.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34321
Cc: 34321 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii wrote:

>> to the build directory. Eg in the 26.1.91 pretest tarfile, it is:
>> 
>> "/home/nico/work/emacs-26/lisp/emacs-lisp/cl-extra.elc"
>
> Looks like a pointer to a place where cl-concatenate is defined.

I was going to say that this is a defun, not a defsubst, but then I see
that it is "proclaimed inline" in cl-macs.el, so it is a (confusing)
defsubst, so this is probably the same root cause as #34322.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34321; Package emacs. Full text available.

Message received at 34321 <at> debbugs.gnu.org:


Received: (at 34321) by debbugs.gnu.org; 5 Feb 2019 16:16:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 11:16:02 2019
Received: from localhost ([127.0.0.1]:33667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr3OE-0001dS-Gq
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 11:16:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gr3OD-0001d5-3i
 for 34321 <at> debbugs.gnu.org; Tue, 05 Feb 2019 11:16:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43250)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gr3O7-0006YC-Q8; Tue, 05 Feb 2019 11:15:55 -0500
Received: from [176.228.60.248] (port=2047 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gr3O7-0002bd-BN; Tue, 05 Feb 2019 11:15:55 -0500
Date: Tue, 05 Feb 2019 18:15:46 +0200
Message-Id: <83pns6tdn1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>,
    Stefan Monnier <monnier@HIDDEN>
In-reply-to: <74ef8njh9u.fsf@HIDDEN> (message from Glenn Morris on
 Mon, 04 Feb 2019 17:55:09 -0500)
Subject: Re: bug#34321: reproducibility: absolute file name in
 newst-treeview.elc
References: <74ef8njh9u.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34321
Cc: 34321 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Mon, 04 Feb 2019 17:55:09 -0500
> 
> For some reason, the definition of newsticker--group-shift in the
> compiled file newst-treeview.elc ends up containing a string that points
> to the build directory. Eg in the 26.1.91 pretest tarfile, it is:
> 
> "/home/nico/work/emacs-26/lisp/emacs-lisp/cl-extra.elc"

Looks like a pointer to a place where cl-concatenate is defined.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34321; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2019 22:55:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 17:55:20 2019
Received: from localhost ([127.0.0.1]:59854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqn94-0004fD-3r
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 17:55:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gqn92-0004ez-9w
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 17:55:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51253)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gqn8x-0002ML-40
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 17:55:11 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gqn8v-0001ij-WD; Mon, 04 Feb 2019 17:55:10 -0500
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: reproducibility: absolute file name in newst-treeview.elc
X-Spook: Power South Africa Al Qaeda Arabian Peninsula Virual
X-Ran: A1H)8,DW'a#dk?|'VdDzacgb;{d[<i*bNO\PZ%w=S[#%\wAS+,19t4$|/GpFNs6z&(`YEw
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 04 Feb 2019 17:55:09 -0500
Message-ID: <74ef8njh9u.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Package: emacs
Version: 26.1.91
Severity: minor

For some reason, the definition of newsticker--group-shift in the
compiled file newst-treeview.elc ends up containing a string that points
to the build directory. Eg in the 26.1.91 pretest tarfile, it is:

"/home/nico/work/emacs-26/lisp/emacs-lisp/cl-extra.elc"

This means that newst-treeview.elc is non-reproducible (contents change
as build directory changes).

(Issued spotted in
https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/diffoscope-results/emacs.html
)




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34321; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Aug 2021 19:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.